PIX(1)

NAME
pix - Pascal interpreter and executor

SYNOPSIS
pix [ -blnpstuwz ] [ -i name ... ] name.p [ argument ... ]

DESCRIPTION
Pix is a `load and go' version of Pascal which combines the functions of the interpreter code translator pi and the executor px. It uses pi to translate the program in the file name.p and, if there were no fatal errors during translation, causes the resulting interpreter code to be executed by px with the specified arguments. A temporary file is used for the object code; the file obj is neither created nor destroyed.

FILES
/usr/bin/pi    Pascal translator
/usr/bin/px    Pascal executor
/tmp/pix?????    temporary files
/usr/share/pascal/how_pix    basic explanation

SEE ALSO
Berkeley Pascal User's Manual
pi(1), px(1)

DIAGNOSTICS
For a basic explanation do

pix

AUTHOR
Susan L. Graham and William N. Joy